Skip to main content
GET
/
v1
/
notifications
/
{notification_id}
Get Notification
curl --request GET \
  --url https://api.mixpeek.com/v1/notifications/{notification_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.mixpeek.com/v1/notifications/{notification_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.mixpeek.com/v1/notifications/{notification_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "title": "<string>",
  "content": "<string>",
  "organization_id": "<string>",
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "user_id": "<string>",
  "metadata": {},
  "delivery_status": {},
  "read": false,
  "read_at": "2023-11-07T05:31:56Z"
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

notification_id
string
required

Response

Successful Response

Model for a notification instance.

type
enum<string>
required

Notification type

Available options:
pipeline_success,
pipeline_failure,
feature_extraction_success,
feature_extraction_failure,
system_alert,
billing_alert,
quota_alert,
audit_alert,
maintenance_alert,
custom,
onboarding_nudge,
engagement_nudge,
feature_tip
priority
enum<string>
required

Priority level

Available options:
low,
medium,
high,
critical
title
string
required

Notification title

content
string
required

Notification content

organization_id
string
required

Organization ID

id
string

Unique ID

created_at
string<date-time>

Creation timestamp

user_id
string | null

User ID (if applicable)

metadata
Metadata · object

Additional metadata

delivery_status
Delivery Status · object

Delivery status by channel

read
boolean
default:false

Whether the notification has been read

read_at
string<date-time> | null

When the notification was read